# DescribeZones

## 1. API Description

This API (DescribeZones) is used to query zones available.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name         | Required | Type    | Description                                                                                                                                 |
| ---------------------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------- |
| acceptLanguage         | No       | String  | <p>The languages of zones available. The optional values are as follows:</p><p>zh-CN: Chinese en-US: English</p><p>Default value: en-US</p> |
| isCloudRouterAvailable | No       | Boolean | <p>Query the zone supports Layer 3 cloud router.</p><p>Available values:</p><p>true : supported</p><p>false : not supported</p>             |

## 3. Output Parameters

| Parameter Name | Type                                                              | Description                                                                                                           |
| -------------- | ----------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                            | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| zoneSet        | Array of [Zone](/api-reference/compute/bmc/datastructure.md#zone) | The list of zones available.                                                                                          |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}

```
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeZones
<Common Request Params>

Request：
{}

Response：
{
  "requestId": "TBD9EB7E4-3982-43F4-8479-7E963997BC85",
  "response": {  
    "requestId": "TBD9EB7E4-3982-43F4-8479-7E963997BC85",
    "zoneSet": [
        {
            "zoneId":"HKG-B",
            "zoneName":"HKG Zone B",
            "cityName":"Hong Kong",
            "areaName":"Asia Pacific",
            "isCloudRouterAvailable":false
        }
    ]
  }
} 
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/bmc/location/describezones.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
